
Katello - Bug #25830

syncing a content view puppet environment to a smart proxy fails a refresh step

01/10/2019 03:18 PM - Justin Sherrill

Status: Duplicate   

Priority: High   

Assignee:    

Category: Foreman Proxy Content   

Target version: Katello 3.10.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Likely caused by 80889fdbd393d8c072c7b1ca8fe39a8260c866d7

Error:

NoMethodError

undefined method `backend_service' for nil:NilClass

---

- "/home/vagrant/git/katello/app/lib/actions/pulp/repository/refresh.rb:17:in `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/action.rb:539:in

  `block (3 levels) in execute_run'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware.rb:18:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware.rb:31:in

  `run'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware/stack.rb:22:in

  `call'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware/stack.rb:26:in

  `pass'" 

- "/home/vagrant/.rvm/gems/ruby-2.5.1/gems/dynflow-1.2.0/lib/dynflow/middleware.rb:18:in

  `pass'" 

 This doesn't seem to affect the actual sync.

Related issues:

Related to Katello - Refactor #24878: Pulp repository service migration: Refr... Closed

Is duplicate of Katello - Bug #25954: Capsule sync failed with undefined meth... Closed

History

#1 - 01/10/2019 03:20 PM - Justin Sherrill

- Related to Refactor #24878: Pulp repository service migration: Refresh/update added

#2 - 01/16/2019 06:55 PM - Andrew Kofink

- Priority changed from Normal to High

- Target version set to Katello 3.10.1

- Triaged changed from No to Yes

#3 - 03/11/2019 01:18 PM - Jonathon Turel

- Is duplicate of Bug #25954: Capsule sync failed with undefined method `backend_service' for nil:NilClass after upgrade added
#4 - 03/11/2019 01:18 PM - Jonathon Turel

- Status changed from New to Duplicate
